Page MenuHomePhabricator

Add back button to VE TemplateDialog
Closed, ResolvedPublic1 Estimated Story Points

Description

Background:
To help users explore templates and find the right one for their intended use, we will replace the close button with a back button in the TemplateDialog once a template has been selected from search results. This only applies when inserting a new template. We will also add a warning message (T272355: Add unsaved changes warning message to VE TemplateDialog), that will warn users about data loss if they have entered data into a selected template.

Requirements:

Mocks
Insert template (with back button):

Back button.png (491×509 px, 36 KB)

For reference, edit template (close button):
Screen Shot 2021-01-19 at 12.16.15.png (493×511 px, 55 KB)

Related tickets:

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedWMDE-Fisch
ResolvedWMDE-Fisch
OpenNone
ResolvedWMDE-Fisch
Resolvedawight
DeclinedNone
ResolvedNone
InvalidNone
Resolvedthiemowmde
Resolvedlilients_WMDE
InvalidNone
Resolvedthiemowmde
ResolvedAndrew-WMDE
ResolvedAndrew-WMDE
ResolvedNone
ResolvedNone
Resolvedthiemowmde
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
ResolvedLena_WMDE
ResolvedNone
Resolvedawight
ResolvedAndrew-WMDE
InvalidNone
Resolvedthiemowmde
ResolvedBUG REPORTWMDE-Fisch
ResolvedBUG REPORTthiemowmde
ResolvedBUG REPORTthiemowmde
ResolvedWMDE-Fisch
OpenBUG REPORTNone
ResolvedECohen_WMDE
OpenNone
OpenNone
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedWMDE-Fisch
ResolvedAndrew-WMDE
ResolvedBUG REPORTawight
OpenNone

Event Timeline

Lena_WMDE renamed this task from DRAFT: Add back button to VE TemplateDialog to Add back button to VE TemplateDialog.Jan 19 2021, 11:23 AM
Lena_WMDE updated the task description. (Show Details)
Lena_WMDE set the point value for this task to 5.Feb 3 2021, 2:57 PM

5 story points estimate does not include feature flag (to be discussed)

Change 686467 had a related patch set uploaded (by Andrew-WMDE; author: Andrew-WMDE):

[mediawiki/extensions/VisualEditor@master] Add back button to the transclusion dialog

https://gerrit.wikimedia.org/r/686467

ECohen_WMDE added a subscriber: ECohen_WMDE.

Removed the mobile requirement since this only happens when inserting templates, which isn't possible on mobile (editing already inserted templates only)

awight changed the point value for this task from 5 to 1.May 12 2021, 12:18 PM

Change 686467 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Add back button to the transclusion dialog

https://gerrit.wikimedia.org/r/686467

Change 693131 had a related patch set uploaded (by Andrew-WMDE; author: Andrew-WMDE):

[operations/mediawiki-config@master] [beta] Enable back button in the VisualEditor transclusion dialog

https://gerrit.wikimedia.org/r/693131

Change 693131 merged by jenkins-bot:

[operations/mediawiki-config@master] [beta] Enable back button in the VisualEditor transclusion dialog

https://gerrit.wikimedia.org/r/693131